# HaralickTextureExtraction

## Brief Description

Computes textures on every pixel of the input image selected channel

## Tags

Textures,Feature Extraction

## Long Description

This application computes Haralick, advanced and higher order textures on a mono band image

## Parameters

- [param] -in <string> The input image to compute the features on.. Mandatory: True. Default Value: ""
- [param] -channel <int32> The selected channel index. Mandatory: True. Default Value: "1"
- [param] -ram <int32> Available memory for processing (in MB). Mandatory: False. Default Value: "128"
- [param] -parameters.xrad <int32> X Radius. Mandatory: True. Default Value: "2"
- [param] -parameters.yrad <int32> Y Radius. Mandatory: True. Default Value: "2"
- [param] -parameters.xoff <int32> X Offset. Mandatory: True. Default Value: "1"
- [param] -parameters.yoff <int32> Y Offset. Mandatory: True. Default Value: "1"
- [param] -parameters.min <float> Image Minimum. Mandatory: True. Default Value: "0"
- [param] -parameters.max <float> Image Maximum. Mandatory: True. Default Value: "255"
- [param] -parameters.nbbin <int32> Histogram number of bin. Mandatory: True. Default Value: "8"
- [param] -out <string> Output image containing the selected texture features.. Mandatory: False. Default Value: ""
- [param] -inxml <string> Load otb application from xml file. Mandatory: False. Default Value: ""
- [param] -outxml <string> Save otb application to xml file. Mandatory: False. Default Value: ""
[choice] -texture Choice of The Texture Set simple,advanced,higher. Mandatory: True. Default Value: "simple"

- [group] -simple

- [group] -advanced

- [group] -higher

## Limitations

None

## Authors

OTB-Team

## See Also

otbScalarImageToTexturesFilter, otbScalarImageToAdvancedTexturesFilter and otbScalarImageToHigherOrderTexturesFilter classes

## Example of use

- in: qb_RoadExtract.tif

- channel: 2

- parameters.xrad: 3

- parameters.yrad: 3

- texture: simple

- out: HaralickTextures.tif